module mtop

  implicit none

  real :: r

  interface
    module subroutine sub1()
    end subroutine
  end interface

  interface
    module subroutine sub2()
    end subroutine
  end interface

  interface
    module subroutine sub3()
    end subroutine
  end interface

end module mtop
